package com.sckw.core.model.enums;

/**
 * @author lfdc
 * @description
 * @date 2023-11-05 15:11:30
 */

public enum DictEnum {

    THRESHOLD_TYPE("threshold_type", "预警字段类型"),
    DEVICE_TYPE("device_type", "设备类型"),
    MODEL_PART("model_part", "检测要素"),
    THRESHOLD_LEVEL("threshold_level", "告警等级"),
    ALARM_TYPE("alarm_type", "告警类型"),
    ALARM_DETAIL_TYPE("alarm_detail_type", "告警明细类型"),
    REPORT_TEMPLATE_TYPE("report_template_type", "报表模板"),
    INTEGRATION_UNIT("integration_unit", "集成要素单位"),
    PROJECT_TYPE("project_type", "项目类型"),
    COMPANY("company", "厂商"),
    ;
    private final String codeType;
    private final String name;

    DictEnum(String codeType, String name) {
        this.codeType = codeType;
        this.name = name;
    }

    public String getCodeType() {
        return codeType;
    }

    public String getName() {
        return name;
    }
}
